---
updatedAt: 2026-08-13T23:51:37.000Z
---

# Duplicate a campaign

Initiates campaign duplication using the provided configuration.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Core API Resources",
    "version": "2.0.0",
    "description": "Buzz API v2"
  },
  "paths": {
    "/campaigns/{id}/duplicate": {
      "post": {
        "operationId": "campaigns_duplicate_create",
        "description": "Initiates campaign duplication using the provided configuration.",
        "summary": "Duplicate a campaign",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this campaign.",
            "required": true
          }
        ],
        "tags": [
          "Campaigns"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CampaignDuplicate"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/CampaignDuplicate"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/CampaignDuplicate"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "nestSessionAuth": []
          },
          {
            "nestBasicAuth": []
          }
        ],
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedCampaignList"
                }
              }
            },
            "description": "Campaign duplicated successfully."
          },
          "400": {
            "description": "Invalid request parameters or duplication configuration."
          },
          "404": {
            "description": "Campaign not found."
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Campaign": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "readOnly": true
          },
          "create_date": {
            "type": "string",
            "readOnly": true,
            "nullable": true,
            "description": "The date and time the object was first created",
            "pattern": "^\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2}$",
            "example": "2025-09-29 00:00:00"
          },
          "update_date": {
            "type": "string",
            "readOnly": true,
            "nullable": true,
            "description": "The date and time the object was last updated",
            "pattern": "^\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2}$",
            "example": "2025-09-29 00:00:00"
          },
          "last_active": {
            "type": "string",
            "nullable": true,
            "pattern": "^\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2}$",
            "example": "2025-09-29 00:00:00"
          },
          "name": {
            "type": "string",
            "pattern": "^[\\w[('-]",
            "maxLength": 280,
            "minLength": 3
          },
          "active": {
            "type": "boolean",
            "default": false
          },
          "advertiser_id": {
            "type": "integer"
          },
          "bid_modifier_id": {
            "type": "integer",
            "description": "The ID of the Bid Modifier to GET",
            "nullable": true
          },
          "delivery_modifier_id": {
            "type": "integer",
            "nullable": true
          },
          "alternative_id": {
            "type": "string",
            "nullable": true,
            "description": "An ID that may be used for any reporting or administrative purpose. Limited to 191 characters.",
            "maxLength": 200
          },
          "notes": {
            "type": "string",
            "nullable": true,
            "description": "Free-form notes of up to 255 characters.",
            "maxLength": 255
          },
          "currency": {
            "type": "string",
            "description": "The key of the currency"
          },
          "min_bid": {
            "type": "string",
            "format": "decimal",
            "pattern": "^-?\\d{0,8}(?:\\.\\d{0,2})?$",
            "nullable": true
          },
          "max_bid": {
            "type": "string",
            "format": "decimal",
            "pattern": "^-?\\d{0,8}(?:\\.\\d{0,2})?$",
            "nullable": true
          },
          "continents": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "JSON list of continents, e.g. '[\"EMEA\", \"NAM\"]'. Options include: 'APAC', 'EMEA' and 'NAM'."
          },
          "default_line_item_preset_id": {
            "type": "integer",
            "nullable": true
          },
          "default_targeting_preset_id": {
            "type": "integer",
            "nullable": true
          },
          "start_date": {
            "type": "string",
            "nullable": true,
            "pattern": "^\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2}$",
            "example": "2025-09-29 00:00:00"
          },
          "end_date": {
            "type": "string",
            "nullable": true,
            "pattern": "^\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2}$",
            "example": "2025-09-29 00:00:00"
          },
          "skad_network": {
            "allOf": [
              {
                "$ref": "#/components/schemas/SkadNetwork"
              }
            ],
            "nullable": true
          },
          "revenue": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Revenue"
              }
            ],
            "nullable": true,
            "description": "The configuration of the revenue."
          },
          "spend": {
            "type": "string",
            "format": "decimal",
            "pattern": "^-?\\d{0,12}(?:\\.\\d{0,2})?$",
            "readOnly": true
          },
          "impressions": {
            "type": "integer",
            "readOnly": true,
            "default": 0
          },
          "budget_type": {
            "type": "string",
            "nullable": true,
            "description": "The type of the budget. One of: `\"spend\"`, `\"impressions\"`, `\"spend including vendor fees\"`."
          },
          "spend_budget": {
            "allOf": [
              {
                "$ref": "#/components/schemas/SpendBudget"
              }
            ],
            "nullable": true,
            "description": "The representation of the budget if the budget type is either `\"spend\"` or `\"spend including vendor fees\"`. If the budget type is `\"impressions\"`, null will be populated."
          },
          "impressions_budget": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ImpressionsBudget"
              }
            ],
            "nullable": true,
            "description": "The representation of the budget if the budget type is `\"impressions\"`. If the budget type is either `\"spend\"` or `\"spend including vendor fees\"`, null will be populated."
          },
          "vendor_fees": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/VendorFee"
            },
            "description": "The list of the vendor fees objects."
          },
          "ghost_bidding": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CampaignGhostBidding"
              }
            ],
            "nullable": true
          },
          "event_ids": {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "description": "The list of the unique identifiers representing the associated events."
          },
          "frequency_caps": {
            "allOf": [
              {
                "$ref": "#/components/schemas/FrequencyCap"
              }
            ],
            "nullable": true,
            "description": "The configuration of the frequency capping."
          },
          "segment_extension": {
            "allOf": [
              {
                "$ref": "#/components/schemas/SegmentExtension"
              }
            ],
            "nullable": true,
            "description": "The configuration of the segment extension."
          },
          "experiment": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Experiment"
              }
            ],
            "nullable": true
          },
          "account_id": {
            "type": "integer",
            "readOnly": true
          },
          "was_activated": {
            "type": "boolean",
            "readOnly": true,
            "description": "Whether the campaign was already activated at least once."
          },
          "invoice_id": {
            "type": "string",
            "nullable": true,
            "description": "Coming soon.",
            "maxLength": 48
          }
        },
        "required": [
          "account_id",
          "advertiser_id",
          "create_date",
          "id",
          "impressions",
          "name",
          "spend",
          "update_date",
          "was_activated"
        ]
      },
      "CampaignDuplicate": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "pattern": "^[\\w[('-]",
            "maxLength": 280,
            "minLength": 3
          },
          "advertiser_id": {
            "type": "integer",
            "readOnly": true,
            "nullable": true
          },
          "duplicate": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CampaignDuplicateDuplicateEnum"
            },
            "description": "The list of strings that describes a set of entities to be duplicated."
          },
          "number_of_copies": {
            "type": "integer",
            "maximum": 10,
            "minimum": 1,
            "description": "Allow to duplicate number of campaigns."
          }
        },
        "required": [
          "advertiser_id",
          "duplicate",
          "name",
          "number_of_copies"
        ]
      },
      "CampaignDuplicateDuplicateEnum": {
        "enum": [
          "resource",
          "frequency_cap",
          "vendor_fees",
          "custom_event_associations",
          "revenue",
          "skad_network",
          "ghost_bidding",
          "bid_modifier",
          "delivery_modifier",
          "targeting_expression",
          "creative_association",
          "line_item",
          "experiments",
          "segment_extension"
        ],
        "type": "string",
        "description": "* `resource` - resource\n* `frequency_cap` - frequency_cap\n* `vendor_fees` - vendor_fees\n* `custom_event_associations` - custom_event_associations\n* `revenue` - revenue\n* `skad_network` - skad_network\n* `ghost_bidding` - ghost_bidding\n* `bid_modifier` - bid_modifier\n* `delivery_modifier` - delivery_modifier\n* `targeting_expression` - targeting_expression\n* `creative_association` - creative_association\n* `line_item` - line_item\n* `experiments` - experiments\n* `segment_extension` - segment_extension"
      },
      "CampaignGhostBidding": {
        "type": "object",
        "properties": {
          "id_type": {
            "$ref": "#/components/schemas/IdTypeFd0Enum"
          },
          "id_vendor": {
            "type": "string",
            "nullable": true
          },
          "id_vendor_id": {
            "type": "integer",
            "nullable": true
          }
        },
        "required": [
          "id_type"
        ]
      },
      "CampaignLineItemExperiments": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer"
          },
          "name": {
            "type": "string",
            "description": "The descriptive name of the line item, e.g. \"Spring lead generation\".",
            "maxLength": 280
          },
          "test_group": {
            "type": "integer"
          }
        },
        "required": [
          "id",
          "name",
          "test_group"
        ]
      },
      "Experiment": {
        "type": "object",
        "properties": {
          "id_type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/IdTypeFd0Enum"
              }
            ],
            "description": "The type of the experiment.\n\n* `STANDARD` - Standard\n* `IP_ADDR` - IP Address\n* `PERSON` - Person\n* `HOUSEHOLD` - Household"
          },
          "id_vendor": {
            "type": "string",
            "nullable": true,
            "description": "The valid value depends on which vendors have been enabled at the system level."
          },
          "id_vendor_id": {
            "type": "integer",
            "nullable": true,
            "description": "The unique identifier of the experiment."
          },
          "id_test_plan_id": {
            "type": "integer"
          },
          "line_items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CampaignLineItemExperiments"
            }
          }
        },
        "required": [
          "id_type"
        ]
      },
      "ExtensionTypeEnum": {
        "enum": [
          "person",
          "household",
          "person_extend_only",
          "household_extend_only"
        ],
        "type": "string",
        "description": "* `person` - Person\n* `household` - Household\n* `person_extend_only` - Person Extend Only\n* `household_extend_only` - Household Extend Only"
      },
      "FrequencyCap": {
        "type": "object",
        "properties": {
          "id_type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/FrequencyCapIdTypeEnum"
              }
            ],
            "description": "The type of frequency capping method.\n\n* `STANDARD` - Standard\n* `IP_ADDR` - IP Address\n* `CUSTOMER` - Customer ID\n* `PERSON` - Person ID\n* `HOUSEHOLD` - Household ID"
          },
          "use_fallback": {
            "type": "boolean",
            "nullable": true,
            "description": "Whether the frequency capping type is used with a fallback."
          },
          "id_vendor": {
            "type": "string",
            "nullable": true,
            "description": "Extends the frequency cap with the device graph. The valid value depends on which vendors have been enabled at the system level. Fees may apply."
          },
          "id_vendor_id": {
            "type": "integer",
            "nullable": true,
            "description": "The unique identifier of the frequency cap vendor."
          },
          "limits": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Limit"
            },
            "description": "The set of caps that limits the number of times the ad appears."
          }
        },
        "required": [
          "id_type",
          "limits",
          "use_fallback"
        ]
      },
      "FrequencyCapIdTypeEnum": {
        "enum": [
          "STANDARD",
          "IP_ADDR",
          "CUSTOMER",
          "PERSON",
          "HOUSEHOLD"
        ],
        "type": "string",
        "description": "* `STANDARD` - Standard\n* `IP_ADDR` - IP Address\n* `CUSTOMER` - Customer ID\n* `PERSON` - Person ID\n* `HOUSEHOLD` - Household ID"
      },
      "IdTypeFd0Enum": {
        "enum": [
          "STANDARD",
          "IP_ADDR",
          "PERSON",
          "HOUSEHOLD"
        ],
        "type": "string",
        "description": "* `STANDARD` - Standard\n* `IP_ADDR` - IP Address\n* `PERSON` - Person\n* `HOUSEHOLD` - Household"
      },
      "ImpressionsBudget": {
        "type": "object",
        "properties": {
          "lifetime": {
            "type": "integer",
            "minimum": 0.01,
            "description": "The maximum amount that can be spent or delivered., e.g. 700."
          },
          "daily": {
            "type": "integer",
            "minimum": 0,
            "nullable": true,
            "description": "The maximum amount that can be spent or delivered per day., e.g. 50."
          }
        },
        "required": [
          "lifetime"
        ]
      },
      "Limit": {
        "type": "object",
        "properties": {
          "duration": {
            "type": "integer",
            "minimum": 1,
            "description": "The duration of time in which to cap impressions, e.g. 864000 seconds."
          },
          "impressions": {
            "type": "integer",
            "minimum": 1,
            "description": "The number of impressions to allow within the duration set."
          }
        },
        "required": [
          "duration",
          "impressions"
        ]
      },
      "NameEnum": {
        "enum": [
          "liveramp",
          "tapad",
          "freewheel"
        ],
        "type": "string",
        "description": "* `liveramp` - liveramp\n* `tapad` - tapad\n* `freewheel` - freewheel"
      },
      "PaginatedCampaignList": {
        "type": "object",
        "required": [
          "count",
          "results"
        ],
        "properties": {
          "count": {
            "type": "integer",
            "example": 123
          },
          "next": {
            "type": "string",
            "nullable": true,
            "format": "uri",
            "example": "http://api.example.org/accounts/?page=4"
          },
          "previous": {
            "type": "string",
            "nullable": true,
            "format": "uri",
            "example": "http://api.example.org/accounts/?page=2"
          },
          "results": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Campaign"
            }
          }
        }
      },
      "Revenue": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type of the revenue. One of: `\"CPM\"`, `\"CPC\"`, `\"CPCV\"`, `\"CPI\"`, `\"CPA\"`."
          },
          "amount": {
            "type": "string",
            "format": "decimal",
            "pattern": "^-?\\d{0,11}(?:\\.\\d{0,4})?$",
            "description": "The basis of the revenue calculation, e.g. 5.125."
          }
        },
        "required": [
          "amount",
          "type"
        ]
      },
      "SegmentExtension": {
        "type": "object",
        "properties": {
          "extension_type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ExtensionTypeEnum"
              }
            ],
            "description": "The default type of person and household segment extension.\n\n* `person` - Person\n* `household` - Household\n* `person_extend_only` - Person Extend Only\n* `household_extend_only` - Household Extend Only"
          },
          "segment_type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/SegmentTypeEnum"
              }
            ],
            "description": "The type of segment extension.\n\n* `all` - ALL\n* `1st_party` - 1P\n* `3rd_party` - 3P"
          },
          "vendors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/SegmentExtensionVendor"
            },
            "description": "The list of vendors to use for audience extension."
          }
        },
        "required": [
          "extension_type",
          "segment_type",
          "vendors"
        ]
      },
      "SegmentExtensionVendor": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "minimum": 1
          },
          "name": {
            "allOf": [
              {
                "$ref": "#/components/schemas/NameEnum"
              }
            ],
            "description": "The name of the vendor.\n\n* `liveramp` - liveramp\n* `tapad` - tapad\n* `freewheel` - freewheel"
          }
        }
      },
      "SegmentTypeEnum": {
        "enum": [
          "all",
          "1st_party",
          "3rd_party"
        ],
        "type": "string",
        "description": "* `all` - ALL\n* `1st_party` - 1P\n* `3rd_party` - 3P"
      },
      "SkadNetwork": {
        "type": "object",
        "properties": {
          "enable_skad_tracking": {
            "type": "boolean",
            "description": "Whether the Apple's SKAd Network tracking is enabled."
          }
        },
        "required": [
          "enable_skad_tracking"
        ]
      },
      "SpendBudget": {
        "type": "object",
        "properties": {
          "lifetime": {
            "type": "string",
            "format": "decimal",
            "pattern": "^-?\\d{0,12}(?:\\.\\d{0,2})?$",
            "description": "The maximum amount that can be spent or delivered., e.g. 700.35."
          },
          "daily": {
            "type": "string",
            "format": "decimal",
            "pattern": "^-?\\d{0,12}(?:\\.\\d{0,2})?$",
            "nullable": true,
            "description": "The maximum amount that can be spent or delivered per day., e.g. 50.25."
          },
          "include_fees": {
            "type": "boolean",
            "readOnly": true
          }
        },
        "required": [
          "include_fees",
          "lifetime"
        ]
      },
      "VendorFee": {
        "type": "object",
        "properties": {
          "object_id": {
            "type": "integer"
          },
          "object_type": {
            "type": "string",
            "description": "The object_type of the VendorFee. Like line_item, campaign or creative"
          },
          "id": {
            "type": "integer"
          },
          "vendor": {
            "type": "string",
            "readOnly": true,
            "description": "The name of the vendor associated with the vendor fee. Read-only; it is derived from `vendor_id` and ignored if supplied on write."
          },
          "vendor_id": {
            "type": "integer",
            "description": "The unique identifier of the vendor associated with the vendor fee. This is the only way to set the vendor and is required."
          },
          "name": {
            "type": "string",
            "description": "The descriptive name of the vendor fee.",
            "maxLength": 100
          },
          "cpm_currency": {
            "type": "string",
            "description": "The currency code for the CPM fee amount, e.g. USD.",
            "nullable": true
          },
          "cpm_amount": {
            "type": "string",
            "format": "decimal",
            "pattern": "^-?\\d{0,3}(?:\\.\\d{0,3})?$",
            "nullable": true,
            "description": "The fee amount of the CPM, e.g. 90.123. Note that only one of `cpm_amount` and `percentage` can be specified."
          },
          "percentage": {
            "type": "string",
            "format": "decimal",
            "pattern": "^-?\\d{0,3}(?:\\.\\d{0,3})?$",
            "nullable": true,
            "description": "The fee amount in a percentage."
          },
          "read_only": {
            "type": "boolean",
            "readOnly": true,
            "default": false,
            "description": "If the vendor fee is read-only."
          },
          "create_date": {
            "type": "string",
            "nullable": true,
            "description": "The date and time the object was first created",
            "pattern": "^\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2}$",
            "example": "2025-09-29 00:00:00"
          },
          "update_date": {
            "type": "string",
            "readOnly": true,
            "nullable": true,
            "description": "The date and time the object was last updated",
            "pattern": "^\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2}$",
            "example": "2025-09-29 00:00:00"
          },
          "alternative_id": {
            "type": "string",
            "nullable": true,
            "description": "An ID that may be used for any reporting or administrative purpose. Limited to 191 characters.",
            "maxLength": 200
          },
          "notes": {
            "type": "string",
            "nullable": true,
            "description": "Free-form notes of up to 255 characters.",
            "maxLength": 255
          },
          "fee_type": {
            "type": "string",
            "description": "The key of the fee type",
            "nullable": true
          }
        },
        "required": [
          "name",
          "vendor"
        ]
      }
    },
    "securitySchemes": {
      "nestBasicAuth": {
        "type": "http",
        "scheme": "basic",
        "description": "Form-based Basic Authentication"
      },
      "nestSessionAuth": {
        "type": "http",
        "scheme": "basic",
        "description": "Form-based Basic Authentication"
      }
    }
  },
  "x-explorer-enabled": false,
  "x-samples-languages": [
    "curl",
    "node",
    "ruby",
    "javascript",
    "python",
    "php",
    "java"
  ],
  "servers": [
    {
      "url": "https://{buzz_key}.api.beeswax.com/rest/v2",
      "variables": {
        "buzz_key": {
          "default": "stingersbx",
          "description": "Unique customer ID assigned by the Beeswax"
        }
      }
    }
  ],
  "x-readme": {
    "apply-endpoint-order": true,
    "apply-tag-changes": true
  }
}
```